$kind: http-request
url: "{{Local_URL}}properties/tenants"
method: POST
body:
  type: json
  content: >
    {
      "first_name": "John",
      "last_name": "Doe",
      "phone":"0774355568",
      "email": "mplat841@gmail.com",
      "gender": "male",
      "salutation": "Mr", // "Mr","Mrs","Ms","Miss","Dr","Prof","Eng","Hon","Rev","Sr","Jr"
      "agreement": {
        "property_unit_id": "b6c5cf2c-b1f6-4e43-96b8-112b741f1273",
        "start_date": "2026-02-01",
        "end_date": "2027-01-31", //Optional
        "months_paid":3,
        "security_deposit_amount":1200,
        "billing_cycle": "monthly",//daily|weekly|monthly|yearly
        "rent_amount": 1200,
        "currency_id": "32550e47-6ef6-40cb-ad55-96f2237aa673",
        "rent_due_day": 5,
        "payment_method_id": "f432616f-27b9-4d49-b7bd-b2b0f3321ffc"
      }
    }
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 4000
